openSUSE Security Update : nfs-utils (openSUSE-SU-2013:1016-1)

Low Nessus Plugin ID 75034


The remote openSUSE host is missing a security update.


This update of nfs-utils includes several bug and security fixes.

- gssd-reverse-dns-fix: Allow DNS lookups to be avoided when determining kerberos identity of server. The GSSD_OPTIONS sysconfig variable is added so that use of DNS can be enforced for sites that need it. (bnc#813464 CVE-2013-1923)

- gssd-n.fix: linux-3.7 changed behaviour of gssd lookups so that 'gssd -n' isn't sufficient to stop the use of 'machine credentials'. This patch add '-N' which stops the new use as well. Also add GSSD_OPTIONS to sysconfig so these flags can be set more easily. (bnc#817651)

- mountd-fix-exporting-of-with-sec-setting.patch Fix bug when exporting root filesystem with gss security.

- mountd-fix-error-check.patch: check for errors with exporting filesystems correctly (bnc#809226)

- nfsserver.init: make sure warning about bind= being deprecated goes to terminal and not into /run/nfs/bind.mounts (bnc#809226)


Update the affected nfs-utils packages.

See Also

Plugin Details

Severity: Low

ID: 75034

File Name: openSUSE-2013-493.nasl

Version: $Revision: 1.1 $

Type: local

Agent: unix

Published: 2014/06/13

Modified: 2014/06/13

Dependencies: 12634

Risk Information

Risk Factor: Low


Base Score: 3.2

Vector: CVSS2#AV:A/AC:H/Au:N/C:P/I:P/A:N

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:nfs-client, p-cpe:/a:novell:opensuse:nfs-client-debuginfo, p-cpe:/a:novell:opensuse:nfs-kernel-server, p-cpe:/a:novell:opensuse:nfs-kernel-server-debuginfo, p-cpe:/a:novell:opensuse:nfs-utils-debugsource, cpe:/o:novell:opensuse:12.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2013/06/04

Reference Information

CVE: CVE-2013-1923